summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2021-07-21 16:33:29 +0200
committerDavid Seifert <soap@gentoo.org>2021-07-21 16:33:29 +0200
commit1a97e494c768f7d8d134b81a1a9d71c9340364a2 (patch)
tree547d57b9937d2e3489a729a80b4dca1e873bc234 /eclass
parenteclass/vim-plugin.eclass: delete if has_version condition. (diff)
downloadgentoo-1a97e494c768f7d8d134b81a1a9d71c9340364a2.tar.gz
gentoo-1a97e494c768f7d8d134b81a1a9d71c9340364a2.tar.bz2
gentoo-1a97e494c768f7d8d134b81a1a9d71c9340364a2.zip
Reverts: 9965439467431868c35ca54f977f70321a105fa5 ("eclass/vim-plugin.eclass: delete if has_version condition.")
* eclass changes require ML review, especially for multi-stakeholder ones like vim-plugin.eclass. Signed-off-by: David Seifert <soap@gentoo.org>
Diffstat (limited to 'eclass')
-rw-r--r--eclass/vim-plugin.eclass12
1 files changed, 6 insertions, 6 deletions
diff --git a/eclass/vim-plugin.eclass b/eclass/vim-plugin.eclass
index 460edcce3eb1..6b72d66111d3 100644
--- a/eclass/vim-plugin.eclass
+++ b/eclass/vim-plugin.eclass
@@ -126,31 +126,31 @@ update_vim_afterscripts() {
display_vim_plugin_help() {
local h
- if [[ -z ${REPLACING_VERSIONS} ]]; then
- if [[ -n "${VIM_PLUGIN_HELPFILES}" ]]; then
+ if ! has_version ${CATEGORY}/${PN} ; then
+ if [[ -n "${VIM_PLUGIN_HELPFILES}" ]] ; then
elog " "
elog "This plugin provides documentation via vim's help system. To"
elog "view it, use:"
- for h in ${VIM_PLUGIN_HELPFILES}; do
+ for h in ${VIM_PLUGIN_HELPFILES} ; do
elog " :help ${h}"
done
elog " "
- elif [[ -n "${VIM_PLUGIN_HELPTEXT}" ]]; then
+ elif [[ -n "${VIM_PLUGIN_HELPTEXT}" ]] ; then
elog " "
while read h ; do
elog "$h"
done <<<"${VIM_PLUGIN_HELPTEXT}"
elog " "
- elif [[ -n "${VIM_PLUGIN_HELPURI}" ]]; then
+ elif [[ -n "${VIM_PLUGIN_HELPURI}" ]] ; then
elog " "
elog "Documentation for this plugin is available online at:"
elog " ${VIM_PLUGIN_HELPURI}"
elog " "
fi
- if has "filetype" "${VIM_PLUGIN_MESSAGES}"; then
+ if has "filetype" "${VIM_PLUGIN_MESSAGES}" ; then
elog "This plugin makes use of filetype settings. To enable these,"
elog "add lines like:"
elog " filetype plugin on"